package provide DS9 1.0

proc LanguageEnglish {} {
    global menu
    global buttons

    # Main

    set menu(file) File
    set menu(edit) Edit
    set menu(frame) Frame
    set menu(bin) Bin
    set menu(zoom) Zoom
    set menu(scale) Scale
    set menu(color) Color
    set menu(region) Region
    set menu(wcs) WCS
    set menu(analysis) Analysis
    set menu(help) Help

    set buttons(file) File
    set buttons(edit) Edit
    set buttons(frame) Frame
    set buttons(bin) Bin
    set buttons(zoom) Zoom
    set buttons(scale) Scale
    set buttons(color) Color
    set buttons(region) Region
    set buttons(wcs) WCS

    # File

    set menu(file,about) "About DS9..."
    set menu(file,open) "Open..."
    set menu(file,openother) "Open Other"
    set menu(file,saveas) "Save as"
    set menu(file,header) "Display Fits Header..."
    set menu(file,xpa) "XPA Information..."
    set menu(file,source) "Source TCL..."
    set menu(file,print) "Print..."
    set menu(file,page) "Page Setup..."
    set menu(file,exit) "Exit"

    set buttons(file,about) about
    set buttons(file,open) open
    set buttons(file,header) header
    set buttons(file,source) source
    set buttons(file,print) print
    set buttons(file,page) page
    set buttons(file,exit) exit

    # Edit

    set menu(edit,undo) Undo
    set menu(edit,cut) Cut
    set menu(edit,copy) Copy
    set menu(edit,paste) Paste
    set menu(edit,default) Default
    set menu(edit,pointer) Pointer
    set menu(edit,crosshair) Crosshair
    set menu(edit,colorbar) Colorbar
    set menu(edit,pan) Pan
    set menu(edit,zoom) Zoom
    set menu(edit,rotate) Rotate
    set menu(edit,examine) Examine
    set menu(edit,preferences) Preferences

    set buttons(edit,undo) undo
    set buttons(edit,cut) cut
    set buttons(edit,copy) copy
    set buttons(edit,paste) paste
    set buttons(edit,default) default
    set buttons(edit,pointer) pointer
    set buttons(edit,crosshair) crosshair
    set buttons(edit,colorbar) colorbar
    set buttons(edit,pan) pan
    set buttons(edit,zoom) zoom
    set buttons(edit,rotate) rotate
    set buttons(edit,examine) examine

    # Frame

    set menu(frame,new) "New Frame"
    set menu(frame,newrgb) "New Frame RGB"
    set menu(frame,delete) "Delete Frame"
    set menu(frame,deleteall) "Delete All Frames"
    set menu(frame,clear) "Clear Frame"
    set menu(frame,reset) "Reset Frame"
    set menu(frame,refresh) "Refresh Frame"
    set menu(frame,single) "Single Frame"
    set menu(frame,tile) "Tile Frames"
    set menu(frame,blink) "Blink Frames"
    set menu(frame,tileparam) "Tile"
    set menu(frame,blinkparam) "Blink Interval"
    set menu(frame,matchframes) "Match Frames"
    set menu(frame,matchcolorbars) "Match Colorbars"
    set menu(frame,matchscales) "Match Scales"
    set menu(frame,lockcrosshairs) "Lock Crosshairs"
    set menu(frame,datacube) "Data Cube..."
    set menu(frame,rgb) "RGB..."
    set menu(frame,showhide) "Show/Hide Frames"

    set buttons(frame,new) new
    set buttons(frame,newrgb) "new rgb"
    set buttons(frame,delete) delete
    set buttons(frame,deleteall) "delete all"
    set buttons(frame,clear) clear
    set buttons(frame,reset) reset
    set buttons(frame,single) single
    set buttons(frame,tile) tile
    set buttons(frame,blink) blink
    set buttons(frame,first) first
    set buttons(frame,prev) prev
    set buttons(frame,next) next
    set buttons(frame,last) last

    # Bin

    set buttons(bin1,in) in
    set buttons(bin1,out) out
    set buttons(bin1,block1) "block 1"
    set buttons(bin1,block2) "block 2"
    set buttons(bin1,block4) "block 4"
    set buttons(bin1,block8) "block 8"
    set buttons(bin1,block16) "block 16"
    set buttons(bin1,block32) "block 32"
    set buttons(bin1,block64) "block 64"
    set buttons(bin1,block128) "block 128"
    set buttons(bin1,more) "more..."

    set buttons(bin2,none) smooth
    set buttons(bin2,boxcar) boxcar
    set buttons(bin2,tophat) tophat
    set buttons(bin2,gaussian) gaussian
    set buttons(bin2,more) "more..."

}
