#ifndef __colorbarrgbtrue_h__
#define __colorbarrgbtrue_h__

#include "colorbarrgb.h"

class ColorbarRGBTrueColor : public ColorbarRGB {
protected:
  XImage* xmap;

protected:
  int updatePixmap(const BBox&);   // renders image/graphics into pixmap
  void invalidPixmap();           // update pixmap and xmap

  int initColormapForReal();
  void updateColorCells();

public:
  ColorbarRGBTrueColor(Tcl_Interp*, Tk_Canvas, Tk_Item*);
  virtual ~ColorbarRGBTrueColor();

  void setColormapWindowCmd(char*) {}
};

#endif
