#ifndef __colorbartrue_h__
#define __colorbartrue_h__

#include "colorbar.h"

class ColorbarTrueColor : public Colorbar {
protected:
  XImage* xmap;

protected:
  int updatePixmap(const BBox&);

  int initColormapForReal();
  void updateColorCells();
  void invalidPixmap();

public:
  ColorbarTrueColor(Tcl_Interp*, Tk_Canvas, Tk_Item*);
  virtual ~ColorbarTrueColor();
};

#endif
