#include <unistd.h>
#include "allocgz.h"

FitsAllocGZ::FitsAllocGZ(const char* fn)
{
  parse(fn);

  // we need the 'b' for windows...
  if (!strcmp(pName_, "stdin") || 
      !strcmp(pName_, "STDIN") || 
      !strcmp(pName_, "-"))
    stream_ = gzdopen(dup(STDIN_FILENO), "rb");
  else 
    stream_ = gzopen(pName_, "rb");

  if (stream_)
    valid_ = 1;
}


