#ifndef BISON_PARSER_H
# define BISON_PARSER_H

#ifndef YYSTYPE
typedef union {
  float real;
  int integer;
  char str[256];
  void* ptr;
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	INT	257
# define	STRING	258
# define	ARCH_	259
# define	ARRAY_	260
# define	BIGENDIAN_	261
# define	BIN_	262
# define	BINKEY_	263
# define	BINCOL_	264
# define	BITPIX_	265
# define	DIM_	266
# define	DIMS_	267
# define	KEY_	268
# define	LITTLEENDIAN_	269
# define	SKIP_	270
# define	XDIM_	271
# define	YDIM_	272
# define	ZDIM_	273


extern YYSTYPE fflval;

#endif /* not BISON_PARSER_H */
