#ifndef __coord_h__
#define __coord_h__

enum InternalSystem {WINDOW, CANVAS, WIDGET, USER, REF, DATA, PANNER};
enum CoordSystem {IMAGE, PHYSICAL, AMPLIFIER, DETECTOR, WCS,
		  WCSA, WCSB, WCSC, WCSD, WCSE, WCSF, WCSG, WCSH, WCSI,
		  WCSJ, WCSK, WCSL, WCSM, WCSN, WCSO, WCSP, WCSQ, WCSR,
		  WCSS, WCST, WCSU, WCSV, WCSW, WCSX, WCSY, WCSZ};
enum SkyFrame {FK4, FK5, ICRS, GALACTIC, ECLIPTIC, NATIVEWCS};
enum SkyFormat {DEGREES, SEXAGESIMAL, ARCMIN, ARCSEC};

enum Orientation {NORMAL, XX, YY, XY};

#endif
