#ifndef BISON_PARSER_H
# define BISON_PARSER_H

#ifndef YYSTYPE
typedef union {
  char chr;
  char str[1024];
  void* ptr;
  int integer;
  double real;
  double vector[3];
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
# define	REAL	257
# define	INT	258
# define	STRING	259
# define	POINTER	260
# define	HOUR	261
# define	MINUTE	262
# define	SECOND	263
# define	DEGREE	264
# define	ARCMINUTE	265
# define	ARCSECOND	266
# define	RADIAN	267
# define	SEXSTR	268
# define	ABOUT_	269
# define	ALLOC_	270
# define	ALLOCGZ_	271
# define	ALIGN_	272
# define	ALL_	273
# define	AMPLIFIER_	274
# define	ANALYSIS_	275
# define	ANGLE_	276
# define	ANNULUS_	277
# define	APPEND_	278
# define	ARCMIN_	279
# define	ARCSEC_	280
# define	AREA_	281
# define	ARRAY_	282
# define	ARROW_	283
# define	AST_	284
# define	AVERAGE_	285
# define	B1950_	286
# define	BACK_	287
# define	BASE_	288
# define	BBOX_	289
# define	BEGIN_	290
# define	BG_	291
# define	BIN_	292
# define	BITPIX_	293
# define	BLOCK_	294
# define	BOX_	295
# define	BOXCAR_	296
# define	BOXCIRCLE_	297
# define	BUFFER_	298
# define	BW_	299
# define	CALLBACK_	300
# define	CANVAS_	301
# define	CENTER_	302
# define	CHANNEL_	303
# define	CIRCLE_	304
# define	CIAO_	305
# define	CLEAR_	306
# define	CLICK_	307
# define	CLIP_	308
# define	COLORMAP_	309
# define	COLOR_	310
# define	COLORSCALE_	311
# define	COLORSPACE_	312
# define	COLS_	313
# define	COMMAND_	314
# define	COMPASS_	315
# define	CONTOUR_	316
# define	CONVERT_	317
# define	COORDINATES_	318
# define	COPY_	319
# define	COUNT_	320
# define	CURSOR_	321
# define	CREATE_	322
# define	CROSS_	323
# define	CROSSHAIR_	324
# define	CUBE_	325
# define	CUT_	326
# define	CMYK_	327
# define	DATA_	328
# define	DATAMIN_	329
# define	DATASEC_	330
# define	DEBUG_	331
# define	DEGREES_	332
# define	DEFAULT_	333
# define	DELETE_	334
# define	DEPTH_	335
# define	DETECTOR_	336
# define	DIAMOND_	337
# define	DISTANCE_	338
# define	DS9_	339
# define	EDIT_	340
# define	ECLIPTIC_	341
# define	ELLIPSE_	342
# define	END_	343
# define	EQUATORIAL_	344
# define	ERASE_	345
# define	EXT_	346
# define	FACTOR_	347
# define	FALSE_	348
# define	FAST_	349
# define	FG_	350
# define	FILE_	351
# define	FILTER_	352
# define	FIT_	353
# define	FITS_	354
# define	FITSY_	355
# define	FIXED_	356
# define	FK4_	357
# define	FK5_	358
# define	FONT_	359
# define	FRONT_	360
# define	FULL_	361
# define	FUNCTION_	362
# define	GALACTIC_	363
# define	GAUSSIAN_	364
# define	GET_	365
# define	GLOBAL_	366
# define	GRAPHICS_	367
# define	GRAY_	368
# define	GRID_	369
# define	GZ_	370
# define	HANDLE_	371
# define	HAS_	372
# define	HEADER_	373
# define	HEIGHT_	374
# define	HIDE_	375
# define	HIGH_	376
# define	HIGHLITE_	377
# define	HISTEQU_	378
# define	HISTOGRAM_	379
# define	HORIZONTAL_	380
# define	ICRS_	381
# define	ID_	382
# define	IIS_	383
# define	IMAGE_	384
# define	INCLUDE_	385
# define	INCR_	386
# define	INFO_	387
# define	INTEGER_	388
# define	INTERPOLATE_	389
# define	IRAF_	390
# define	IRAFMIN_	391
# define	J2000_	392
# define	KEY_	393
# define	KEYWORD_	394
# define	LABEL_	395
# define	LENGTH_	396
# define	LEVEL_	397
# define	LINE_	398
# define	LINEAR_	399
# define	LIST_	400
# define	LOAD_	401
# define	LOCAL_	402
# define	LOG_	403
# define	LOW_	404
# define	MAGNIFIER_	405
# define	MAP_	406
# define	MARKER_	407
# define	MASTER_	408
# define	MESSAGE_	409
# define	METHOD_	410
# define	MINMAX_	411
# define	MMAP_	412
# define	MMAPINCR_	413
# define	MOSAIC_	414
# define	MODE_	415
# define	MOTION_	416
# define	MOVE_	417
# define	NAME_	418
# define	NEW_	419
# define	NO_	420
# define	NONE_	421
# define	NOW_	422
# define	NUMBER_	423
# define	OBJECT_	424
# define	OFF_	425
# define	ON_	426
# define	OPTION_	427
# define	ORIENT_	428
# define	PAN_	429
# define	PANDA_	430
# define	PANNER_	431
# define	PARAM_	432
# define	PARSER_	433
# define	PASTE_	434
# define	PATH_	435
# define	PERF_	436
# define	PHYSICAL_	437
# define	PIXELS_	438
# define	POINT_	439
# define	POLYGON_	440
# define	POSTSCRIPT_	441
# define	PROJECTION_	442
# define	PROPERTY_	443
# define	PUBLICATION_	444
# define	PROS_	445
# define	RADIUS_	446
# define	REGION_	447
# define	REPLACE_	448
# define	RESAMPLE_	449
# define	RESET_	450
# define	RESOLUTION_	451
# define	RGB_	452
# define	ROOT_	453
# define	ROTATE_	454
# define	RULER_	455
# define	SAMPLE_	456
# define	SAOIMAGE_	457
# define	SAOTNG_	458
# define	SAVE_	459
# define	SCAN_	460
# define	SCIENTIFIC_	461
# define	SCOPE_	462
# define	SEGMENT_	463
# define	SELECT_	464
# define	SET_	465
# define	SEXAGESIMAL_	466
# define	SHARED_	467
# define	SHIFT_	468
# define	SHMID_	469
# define	SHOW_	470
# define	SIZE_	471
# define	SKY_	472
# define	SLAVE_	473
# define	SLICE_	474
# define	SMOOTH_	475
# define	SOCKET_	476
# define	SOCKETGZ_	477
# define	SOURCE_	478
# define	SQRT_	479
# define	SQUARED_	480
# define	STATUS_	481
# define	SUM_	482
# define	SYSTEM_	483
# define	TABLE_	484
# define	TAG_	485
# define	TEXT_	486
# define	THICK_	487
# define	TO_	488
# define	TOPHAT_	489
# define	TRUE_	490
# define	TYPE_	491
# define	UNDO_	492
# define	UNLOAD_	493
# define	UNSELECT_	494
# define	UPDATE_	495
# define	USER_	496
# define	VALUE_	497
# define	VAR_	498
# define	VIEW_	499
# define	VERSION_	500
# define	VERTEX_	501
# define	VERTICAL_	502
# define	WARP_	503
# define	WCS_	504
# define	WCSA_	505
# define	WCSB_	506
# define	WCSC_	507
# define	WCSD_	508
# define	WCSE_	509
# define	WCSF_	510
# define	WCSG_	511
# define	WCSH_	512
# define	WCSI_	513
# define	WCSJ_	514
# define	WCSK_	515
# define	WCSL_	516
# define	WCSM_	517
# define	WCSN_	518
# define	WCSO_	519
# define	WCSP_	520
# define	WCSQ_	521
# define	WCSR_	522
# define	WCSS_	523
# define	WCST_	524
# define	WCSU_	525
# define	WCSV_	526
# define	WCSW_	527
# define	WCSX_	528
# define	WCSY_	529
# define	WCSZ_	530
# define	WFPC2_	531
# define	WIDTH_	532
# define	XY_	533
# define	YES_	534
# define	ZMAX_	535
# define	ZSCALE_	536
# define	ZOOM_	537


extern YYSTYPE frlval;

#endif /* not BISON_PARSER_H */
