package provide DS9 1.0

proc EnterFrameCrosshair {which} {
    set coord [$which get crosshair canvas]
    set x [lindex $coord 0]
    set y [lindex $coord 1]

    UpdateInfoBox $which $x $y canvas
    UpdatePixelTable $which $x $y canvas
    MotionGraphCrosshair $which
}

proc ButtonCrosshair {which x y} {
    global ds9
    global crosshair

    $which crosshair begin motion canvas $x $y

    if {$crosshair(lock) != "none"} {
	set coord [$which get crosshair $crosshair(lock) scientific]
	foreach f $ds9(frames) {
	    if {$f != $which && [$f has system $crosshair(lock)]} {
		switch $ds9(display,mode) {
		    single {$f crosshair $crosshair(lock) $coord}
		    tile {$f crosshair begin motion $crosshair(lock) $coord}
		    blink {}
		}
	    }
	}
    }

    UpdateInfoBox $which $x $y canvas
    UpdatePixelTable $which $x $y canvas
    MotionGraphCrosshair $which
}

proc MotionCrosshair {which x y} {
    global ds9
    global crosshair

    $which crosshair motion canvas $x $y

    if {$crosshair(lock) != "none"} {
	set coord [$which get crosshair $crosshair(lock) scientific]
	foreach f $ds9(frames) {
	    if {$f != $which && [$f has system $crosshair(lock)]} {
		switch $ds9(display,mode) {
		    single {$f crosshair $crosshair(lock) $coord}
		    tile {$f crosshair motion $crosshair(lock) $coord}
		    blink {}
		}
	    }
	}
    }

    UpdateInfoBox $which $x $y canvas
    UpdatePixelTable $which $x $y canvas
    MotionGraphCrosshair $which
}

proc ReleaseCrosshair {which x y} {
    global ds9
    global crosshair

    $which crosshair canvas $x $y

    if {$crosshair(lock) != "none"} {
	set coord [$which get crosshair $crosshair(lock) scientific]
	foreach f $ds9(frames) {
	    if {$f != $which && [$f has system $crosshair(lock)]} {
		$f crosshair $crosshair(lock) $coord
	    }
	}
    }

    UpdateInfoBox $which $x $y canvas
    UpdatePixelTable $which $x $y canvas
    MotionGraphCrosshair $which
}

proc ArrowKeyCrosshair {which x y} {
    global ds9
    global crosshair

    $which crosshair warp $x $y

    if {$crosshair(lock) != "none"} {
	set coord [$which get crosshair $crosshair(lock) scientific]
	foreach f $ds9(frames) {
	    if {$f != $which && [$f has system $crosshair(lock)]} {
		$f crosshair $crosshair(lock) $coord 
	    }
	}
    }

    set coord [$which get crosshair canvas]
    set X [lindex $coord 0]
    set Y [lindex $coord 1]
    UpdateInfoBox $which $X $Y canvas
    UpdatePixelTable $which $X $Y canvas
    MotionGraphCrosshair $which
}
