#include <unistd.h>

#include <fcntl.h>
#include <sys/stat.h>
#include <sys/mman.h>

#include "mmapincr.h"

FitsMMapIncr::FitsMMapIncr(const char* fn)
{
  // parse the fn and options

  parse(fn);
  if (!pName_)
    return;

  // Map the file.
  fd_ = open(pName_, O_RDONLY);
  if (fd_ == -1)
    return;

  struct stat info;
  if (fstat(fd_, &info) < 0)
    return;

  // check for empty file
  if (info.st_size == 0)
    return;

  filesize_ = info.st_size;

  //  close(fd_);

  // so far, so good
  valid_ = 1;
}
