/* A Bison parser, made from prosparser.Y
   by GNU bison 1.35.  */

#define YYBISON 1  /* Identify Bison output.  */

#define yyparse prosparse
#define yylex proslex
#define yyerror proserror
#define yylval proslval
#define yychar proschar
#define yydebug prosdebug
#define yynerrs prosnerrs
# define	INT	257
# define	REAL	258
# define	STRING	259
# define	HOUR	260
# define	MINUTE	261
# define	SECOND	262
# define	DEGREE	263
# define	ARCMINUTE	264
# define	ARCSECOND	265
# define	RADIAN	266
# define	SEXSTR	267
# define	ANNULUS_	268
# define	B1950_	269
# define	BOX_	270
# define	CIRCLE_	271
# define	DEBUG_	272
# define	ECLIPTIC_	273
# define	ELLIPSE_	274
# define	EQUATORIAL_	275
# define	GALACTIC_	276
# define	J2000_	277
# define	LOGICAL_	278
# define	N_	279
# define	OFF_	280
# define	ON_	281
# define	PHYSICAL_	282
# define	POINT_	283
# define	POLYGON_	284
# define	ROTBOX_	285
# define	VERSION_	286

#line 1 "prosparser.Y"

#define YYPARSE_PARAM fr
#define YYDEBUG 1

#define FR ((FrameBase*)fr)
#define FITS (FR->findFits(1))

#define DISCARD_(x) {yyclearin; prosDiscard(x);}

#include <math.h>
#include <string.h>
#include <iostream.h>

#include "framebase.h"
#include "fitsimage.h"
#include "util.h"
#include "vector.h"
#include "list.h"
#include "basemarker.h"
#include "coord.h"

extern int proslex(void);
extern void proserror(const char*);
extern void prosDiscard(int);

int prossign;
int prossign2;

static CoordSystem globalSystem;
static SkyFrame globalSky;
static CoordSystem localSystem;
static SkyFrame localSky;

static unsigned short globalProps;
static unsigned short localProps;

static char *color = "green";
static char *font = "helvetica 10 normal";
static char *text = "";

static char localComment[80];

static List<Vertex> polylist;
static List<Tag> taglist;

static double aAnnuli[MAXANNULI];
static Vector aVector[MAXANNULI];
static int aNum;
static int aStatus;
static Vector aCenter;
static double aAngle;
static unsigned short aProps;
static char aComment[80];

static void setProps(unsigned short* props, unsigned short prop, int value);
static CoordSystem checkWCSSystem();
static SkyFrame checkWCSSky();

#line 60 "prosparser.Y"
#ifndef YYSTYPE
typedef union {
  double real;
  int integer;
  char str[256];
  double vector[3];
} yystype;
# define YYSTYPE yystype
# define YYSTYPE_IS_TRIVIAL 1
#endif
#ifndef YYDEBUG
# define YYDEBUG 0
#endif



#define	YYFINAL		194
#define	YYFLAG		-32768
#define	YYNTBASE	44

/* YYTRANSLATE(YYLEX) -- Bison token number corresponding to YYLEX. */
#define YYTRANSLATE(x) ((unsigned)(x) <= 286 ? yytranslate[x] : 84)

/* YYTRANSLATE[YYLEX] -- Bison token number corresponding to YYLEX. */
static const char yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
      33,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    42,     2,    43,     2,     2,    41,     2,
      36,    37,     2,    39,    35,    40,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,    34,
       2,    38,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     3,     4,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32
};

#if YYDEBUG
static const short yyprhs[] =
{
       0,     0,     4,     8,    11,    12,    15,    17,    18,    22,
      23,    27,    31,    33,    35,    37,    39,    41,    43,    45,
      46,    48,    49,    51,    52,    54,    55,    57,    59,    61,
      63,    65,    67,    69,    71,    75,    79,    83,    87,    91,
      93,    97,    98,   107,   108,   117,   121,   125,   127,   129,
     132,   134,   136,   138,   140,   142,   144,   145,   146,   147,
     149,   151,   159,   169,   179,   189,   190,   197,   203,   213,
     214,   227,   239,   258,   277,   281,   283,   285,   289,   291,
     293,   294,   295,   296,   300,   301,   305,   307,   308
};
static const short yyrhs[] =
{
      67,    45,    77,     0,    45,    46,    49,     0,    46,    49,
       0,     0,    18,    51,     0,    32,     0,     0,    64,    47,
      78,     0,     0,    65,    48,    78,     0,    68,    69,    70,
       0,    80,     0,    33,     0,    34,     0,     4,     0,     3,
       0,    27,     0,    26,     0,     0,    35,     0,     0,    36,
       0,     0,    37,     0,     0,    56,     0,    50,     0,     9,
       0,    12,     0,    50,     0,     9,     0,    10,     0,    11,
       0,    50,    52,    50,     0,     9,    52,     9,     0,    10,
      52,    10,     0,    11,    52,    11,     0,    25,    38,     3,
       0,    13,     0,    60,    52,    60,     0,     0,     6,     7,
       8,    62,    52,     3,    10,    11,     0,     0,     3,    10,
      11,    63,    52,     3,    10,    11,     0,    50,    52,    50,
       0,     9,    52,     9,     0,    24,     0,    28,     0,    21,
      66,     0,    15,     0,    23,     0,    22,     0,    19,     0,
      15,     0,    23,     0,     0,     0,     0,    39,     0,    40,
       0,    17,    53,    61,    52,    57,    54,    82,     0,    20,
      53,    61,    52,    58,    52,    55,    54,    82,     0,    16,
      53,    61,    52,    58,    52,    55,    54,    82,     0,    31,
      53,    61,    52,    58,    52,    55,    54,    82,     0,     0,
      30,    71,    53,    73,    54,    82,     0,    29,    53,    61,
      54,    82,     0,    14,    53,    61,    52,    57,    52,    57,
      54,    82,     0,     0,    14,    53,    61,    52,    57,    52,
      57,    52,    72,    75,    54,    82,     0,    14,    53,    61,
      52,    57,    52,    57,    52,    59,    54,    82,     0,    20,
      53,    61,    52,    58,    52,    55,    54,    41,    42,    20,
      53,    61,    52,    58,    52,    55,    54,     0,    16,    53,
      61,    52,    58,    52,    55,    54,    41,    42,    16,    53,
      61,    52,    58,    52,    55,    54,     0,    73,    52,    74,
       0,    74,     0,    61,     0,    75,    52,    76,     0,    76,
       0,    57,     0,     0,     0,     0,    43,    79,     5,     0,
       0,    43,    81,     5,     0,    77,     0,     0,    43,    83,
       5,    77,     0
};

#endif

#if YYDEBUG
/* YYRLINE[YYN] -- source line where rule number YYN was defined. */
static const short yyrline[] =
{
       0,   116,   119,   120,   123,   124,   125,   126,   126,   127,
     127,   128,   129,   132,   133,   136,   137,   140,   141,   144,
     145,   148,   149,   152,   153,   156,   157,   160,   161,   162,
     165,   166,   167,   168,   171,   178,   185,   192,   201,   204,
     207,   221,   221,   231,   231,   242,   249,   259,   260,   263,
     264,   265,   266,   267,   270,   271,   274,   285,   294,   295,
     296,   299,   303,   318,   332,   336,   336,   340,   344,   347,
     347,   355,   359,   366,   374,   375,   378,   381,   382,   385,
     388,   412,   413,   413,   416,   416,   419,   420,   420
};
#endif


#if (YYDEBUG) || defined YYERROR_VERBOSE

/* YYTNAME[TOKEN_NUM] -- String name of the token TOKEN_NUM. */
static const char *const yytname[] =
{
  "$", "error", "$undefined.", "INT", "REAL", "STRING", "HOUR", "MINUTE", 
  "SECOND", "DEGREE", "ARCMINUTE", "ARCSECOND", "RADIAN", "SEXSTR", 
  "ANNULUS_", "B1950_", "BOX_", "CIRCLE_", "DEBUG_", "ECLIPTIC_", 
  "ELLIPSE_", "EQUATORIAL_", "GALACTIC_", "J2000_", "LOGICAL_", "N_", 
  "OFF_", "ON_", "PHYSICAL_", "POINT_", "POLYGON_", "ROTBOX_", "VERSION_", 
  "'\\n'", "';'", "','", "'('", "')'", "'='", "'+'", "'-'", "'&'", "'!'", 
  "'#'", "start", "commands", "command", "@1", "@2", "terminator", 
  "numeric", "debug", "sp", "bp", "ep", "optangle", "angle", "value", 
  "vvalue", "numberof", "sexagesimal", "coord", "@3", "@4", "coordSystem", 
  "skyFrame", "equatorial", "initGlobal", "initLocal", "include", "shape", 
  "@5", "@6", "polyNodes", "polyNode", "aRads", "aRad", "processAnnulus", 
  "comment", "@7", "generalComment", "@8", "shapeComment", "@9", 0
};
#endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives. */
static const short yyr1[] =
{
       0,    44,    45,    45,    46,    46,    46,    47,    46,    48,
      46,    46,    46,    49,    49,    50,    50,    51,    51,    52,
      52,    53,    53,    54,    54,    55,    55,    56,    56,    56,
      57,    57,    57,    57,    58,    58,    58,    58,    59,    60,
      61,    62,    61,    63,    61,    61,    61,    64,    64,    65,
      65,    65,    65,    65,    66,    66,    67,    68,    69,    69,
      69,    70,    70,    70,    70,    71,    70,    70,    70,    72,
      70,    70,    70,    70,    73,    73,    74,    75,    75,    76,
      77,    78,    79,    78,    81,    80,    82,    83,    82
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN. */
static const short yyr2[] =
{
       0,     3,     3,     2,     0,     2,     1,     0,     3,     0,
       3,     3,     1,     1,     1,     1,     1,     1,     1,     0,
       1,     0,     1,     0,     1,     0,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     3,     3,     3,     3,     1,
       3,     0,     8,     0,     8,     3,     3,     1,     1,     2,
       1,     1,     1,     1,     1,     1,     0,     0,     0,     1,
       1,     7,     9,     9,     9,     0,     6,     5,     9,     0,
      12,    11,    18,    18,     3,     1,     1,     3,     1,     1,
       0,     0,     0,     3,     0,     3,     1,     0,     4
};

/* YYDEFACT[S] -- default rule to reduce with in state S when YYTABLE
   doesn't specify something else to do.  Zero means the default is an
   error. */
static const short yydefact[] =
{
      56,    57,    50,     0,    53,     0,    52,    51,    47,    48,
       6,    84,    57,     0,     7,     9,    58,    12,    18,    17,
       5,    54,    55,    49,     0,     0,     1,    13,    14,     3,
      81,    81,    59,    60,     0,    85,     2,    82,     8,    10,
      21,    21,    21,    21,    21,    65,    21,    11,     0,    22,
       0,     0,     0,     0,     0,    21,     0,    83,    16,    15,
       0,    19,    39,    19,    19,    19,    19,    19,    19,    23,
       0,    19,     0,     0,    20,     0,     0,     0,     0,     0,
       0,     0,    24,    80,    76,    19,    75,     0,    43,    41,
      46,    16,    45,    40,    31,    32,    33,    30,    19,    19,
      19,    19,    19,    19,    23,    19,    87,    86,    67,     0,
      80,    19,    19,    19,     0,     0,     0,     0,     0,    25,
      80,    25,     0,    74,    66,    25,     0,     0,    19,    35,
      36,    37,    34,    28,    29,    27,    23,    26,    61,    23,
      80,    23,     0,     0,    69,    80,    80,    80,    88,    80,
       0,     0,     0,    23,     0,    68,     0,    63,     0,    62,
      64,    44,    42,     0,    80,    79,    19,    78,     0,     0,
      38,    71,     0,    80,    21,    21,    77,    70,     0,     0,
      19,    19,     0,     0,    19,    19,    25,    25,    23,    23,
      73,    72,     0,     0,     0
};

static const short yydefgoto[] =
{
     192,    12,    13,    30,    31,    29,    63,    20,    75,    50,
      83,   136,   137,   165,   103,   153,    64,    84,   113,   112,
      14,    15,    23,     1,    16,    34,    47,    55,   154,    85,
      86,   166,   167,   107,    38,    48,    17,    24,   108,   122
};

static const short yypact[] =
{
  -32768,   185,-32768,     4,-32768,     5,-32768,-32768,-32768,-32768,
  -32768,-32768,   159,   -15,-32768,-32768,     1,-32768,-32768,-32768,
  -32768,-32768,-32768,-32768,    39,   -15,-32768,-32768,-32768,-32768,
     -37,   -37,-32768,-32768,    18,-32768,-32768,-32768,-32768,-32768,
      14,    14,    14,    14,    14,-32768,    14,-32768,    48,-32768,
      33,    33,    33,    33,    33,    14,    33,-32768,    58,-32768,
      76,    44,-32768,    44,    44,    44,    44,    44,    44,    53,
      33,    44,    74,    87,-32768,    93,    72,    83,   106,   116,
     106,   116,-32768,    60,-32768,    54,-32768,   116,-32768,-32768,
  -32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,    44,    44,
      44,    44,    44,    44,    53,    44,-32768,-32768,-32768,    33,
      60,    44,    44,    44,   106,    97,   102,   103,    72,    89,
      60,    89,   113,-32768,-32768,    89,   118,   119,    54,-32768,
  -32768,-32768,-32768,-32768,-32768,-32768,    53,-32768,-32768,    53,
  -32768,    53,   120,   121,    98,    60,    11,    31,-32768,    60,
     130,   133,   108,    53,   106,-32768,   105,-32768,   107,-32768,
  -32768,-32768,-32768,   148,    60,-32768,    54,-32768,   136,   134,
  -32768,-32768,   106,    60,    14,    14,-32768,-32768,    33,    33,
      44,    44,   116,   116,    44,    44,    89,    89,    53,    53,
  -32768,-32768,   153,   155,-32768
};

static const short yypgoto[] =
{
  -32768,-32768,   144,-32768,-32768,   132,   -14,-32768,   -42,   -41,
       9,  -109,-32768,   -63,   -54,-32768,    84,   -43,-32768,-32768,
  -32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,
      51,-32768,    -9,    -8,   135,-32768,-32768,-32768,   -65,-32768
};


#define	YYLAST		228


static const short yytable[] =
{
      51,    52,    53,    54,    26,    56,    37,    65,    66,    67,
      68,    69,   139,    71,    70,    98,   141,   104,    27,    28,
      21,    76,    77,    78,    79,    80,    81,   105,    22,    87,
      18,    19,    40,   111,    41,    42,    58,    59,    43,    60,
      32,    33,    61,   109,    35,   124,    62,    44,    45,    46,
      49,   128,   156,    57,   106,   138,   114,   115,   116,   117,
     118,   119,    92,   121,    97,   102,    97,   102,    72,   125,
     126,   127,   158,   102,   106,    91,    59,   188,   189,    74,
     155,   157,   159,    73,   160,    88,   144,   -23,   -23,    74,
      82,    82,    91,    59,   110,    89,    62,   -23,   133,   171,
      97,   134,    90,   106,   132,   135,   129,   135,   177,    91,
      59,   135,   130,   120,   131,    94,    95,    96,   140,    91,
      59,   142,   143,   152,   172,    99,   100,   101,   184,   185,
     150,   151,   148,   178,   179,   180,   181,   145,   182,   183,
      97,   161,   186,   187,   162,   146,   163,   168,   147,   169,
     149,   170,   174,   193,   175,   194,    25,    36,    97,   -80,
     123,    93,   164,   176,     0,     0,    39,     0,   102,   102,
       0,     0,   135,   135,     2,   173,     0,     3,     4,     0,
       5,     6,     7,     8,     0,     0,     0,     9,     0,     0,
       0,    10,    -4,    -4,     0,     0,     0,   190,   191,     0,
       2,     0,    11,     3,     4,     0,     5,     6,     7,     8,
       0,     0,     0,     9,     0,     0,     0,    10,    -4,    -4,
       0,     0,     0,     0,     0,     0,     0,     0,    11
};

static const short yycheck[] =
{
      41,    42,    43,    44,    12,    46,    43,    50,    51,    52,
      53,    54,   121,    56,    55,    78,   125,    80,    33,    34,
      15,    63,    64,    65,    66,    67,    68,    81,    23,    71,
      26,    27,    14,    87,    16,    17,     3,     4,    20,     6,
      39,    40,     9,    85,     5,   110,    13,    29,    30,    31,
      36,   114,    41,     5,    43,   120,    98,    99,   100,   101,
     102,   103,    76,   105,    78,    79,    80,    81,    10,   111,
     112,   113,    41,    87,    43,     3,     4,   186,   187,    35,
     145,   146,   147,     7,   149,    11,   128,    33,    34,    35,
      37,    37,     3,     4,    85,     8,    13,    43,     9,   164,
     114,    12,     9,    43,   118,   119,     9,   121,   173,     3,
       4,   125,    10,   104,    11,     9,    10,    11,     5,     3,
       4,     3,     3,    25,   166,     9,    10,    11,   182,   183,
      10,    10,   140,   174,   175,   178,   179,   128,   180,   181,
     154,    11,   184,   185,    11,   136,    38,    42,   139,    42,
     141,     3,    16,     0,    20,     0,    12,    25,   172,     0,
     109,    77,   153,   172,    -1,    -1,    31,    -1,   182,   183,
      -1,    -1,   186,   187,    15,   166,    -1,    18,    19,    -1,
      21,    22,    23,    24,    -1,    -1,    -1,    28,    -1,    -1,
      -1,    32,    33,    34,    -1,    -1,    -1,   188,   189,    -1,
      15,    -1,    43,    18,    19,    -1,    21,    22,    23,    24,
      -1,    -1,    -1,    28,    -1,    -1,    -1,    32,    33,    34,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    43
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "/usr/share/bison/bison.simple"

/* Skeleton output parser for bison,

   Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002 Free Software
   Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330,
   Boston, MA 02111-1307, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

/* This is the parser code that is written into each bison parser when
   the %semantic_parser declaration is not specified in the grammar.
   It was written by Richard Stallman by simplifying the hairy parser
   used when %semantic_parser is specified.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

#if ! defined (yyoverflow) || defined (YYERROR_VERBOSE)

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# if YYSTACK_USE_ALLOCA
#  define YYSTACK_ALLOC alloca
# else
#  ifndef YYSTACK_USE_ALLOCA
#   if defined (alloca) || defined (_ALLOCA_H)
#    define YYSTACK_ALLOC alloca
#   else
#    ifdef __GNUC__
#     define YYSTACK_ALLOC __builtin_alloca
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning. */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
# else
#  if defined (__STDC__) || defined (__cplusplus)
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   define YYSIZE_T size_t
#  endif
#  define YYSTACK_ALLOC malloc
#  define YYSTACK_FREE free
# endif
#endif /* ! defined (yyoverflow) || defined (YYERROR_VERBOSE) */


#if (! defined (yyoverflow) \
     && (! defined (__cplusplus) \
	 || (YYLTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  short yyss;
  YYSTYPE yyvs;
# if YYLSP_NEEDED
  YYLTYPE yyls;
# endif
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAX (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# if YYLSP_NEEDED
#  define YYSTACK_BYTES(N) \
     ((N) * (sizeof (short) + sizeof (YYSTYPE) + sizeof (YYLTYPE))	\
      + 2 * YYSTACK_GAP_MAX)
# else
#  define YYSTACK_BYTES(N) \
     ((N) * (sizeof (short) + sizeof (YYSTYPE))				\
      + YYSTACK_GAP_MAX)
# endif

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  register YYSIZE_T yyi;		\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (0)
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack)					\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack, Stack, yysize);				\
	Stack = &yyptr->Stack;						\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAX;	\
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (0)

#endif


#if ! defined (YYSIZE_T) && defined (__SIZE_TYPE__)
# define YYSIZE_T __SIZE_TYPE__
#endif
#if ! defined (YYSIZE_T) && defined (size_t)
# define YYSIZE_T size_t
#endif
#if ! defined (YYSIZE_T)
# if defined (__STDC__) || defined (__cplusplus)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# endif
#endif
#if ! defined (YYSIZE_T)
# define YYSIZE_T unsigned int
#endif

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	goto yyacceptlab
#define YYABORT 	goto yyabortlab
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { 								\
      yyerror ("syntax error: cannot back up");			\
      YYERROR;							\
    }								\
while (0)

#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Compute the default location (before the actions
   are run).

   When YYLLOC_DEFAULT is run, CURRENT is set the location of the
   first token.  By default, to implement support for ranges, extend
   its range to the last symbol.  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)       	\
   Current.last_line   = Rhs[N].last_line;	\
   Current.last_column = Rhs[N].last_column;
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#if YYPURE
# if YYLSP_NEEDED
#  ifdef YYLEX_PARAM
#   define YYLEX		yylex (&yylval, &yylloc, YYLEX_PARAM)
#  else
#   define YYLEX		yylex (&yylval, &yylloc)
#  endif
# else /* !YYLSP_NEEDED */
#  ifdef YYLEX_PARAM
#   define YYLEX		yylex (&yylval, YYLEX_PARAM)
#  else
#   define YYLEX		yylex (&yylval)
#  endif
# endif /* !YYLSP_NEEDED */
#else /* !YYPURE */
# define YYLEX			yylex ()
#endif /* !YYPURE */


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (0)
/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
#endif /* !YYDEBUG */

/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   SIZE_MAX < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#if YYMAXDEPTH == 0
# undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif

#ifdef YYERROR_VERBOSE

# ifndef yystrlen
#  if defined (__GLIBC__) && defined (_STRING_H)
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
#   if defined (__STDC__) || defined (__cplusplus)
yystrlen (const char *yystr)
#   else
yystrlen (yystr)
     const char *yystr;
#   endif
{
  register const char *yys = yystr;

  while (*yys++ != '\0')
    continue;

  return yys - yystr - 1;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined (__GLIBC__) && defined (_STRING_H) && defined (_GNU_SOURCE)
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
#   if defined (__STDC__) || defined (__cplusplus)
yystpcpy (char *yydest, const char *yysrc)
#   else
yystpcpy (yydest, yysrc)
     char *yydest;
     const char *yysrc;
#   endif
{
  register char *yyd = yydest;
  register const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif
#endif

#line 315 "/usr/share/bison/bison.simple"


/* The user can define YYPARSE_PARAM as the name of an argument to be passed
   into yyparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef YYPARSE_PARAM
# if defined (__STDC__) || defined (__cplusplus)
#  define YYPARSE_PARAM_ARG void *YYPARSE_PARAM
#  define YYPARSE_PARAM_DECL
# else
#  define YYPARSE_PARAM_ARG YYPARSE_PARAM
#  define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
# endif
#else /* !YYPARSE_PARAM */
# define YYPARSE_PARAM_ARG
# define YYPARSE_PARAM_DECL
#endif /* !YYPARSE_PARAM */

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
# ifdef YYPARSE_PARAM
int yyparse (void *);
# else
int yyparse (void);
# endif
#endif

/* YY_DECL_VARIABLES -- depending whether we use a pure parser,
   variables are global, or local to YYPARSE.  */

#define YY_DECL_NON_LSP_VARIABLES			\
/* The lookahead symbol.  */				\
int yychar;						\
							\
/* The semantic value of the lookahead symbol. */	\
YYSTYPE yylval;						\
							\
/* Number of parse errors so far.  */			\
int yynerrs;

#if YYLSP_NEEDED
# define YY_DECL_VARIABLES			\
YY_DECL_NON_LSP_VARIABLES			\
						\
/* Location data for the lookahead symbol.  */	\
YYLTYPE yylloc;
#else
# define YY_DECL_VARIABLES			\
YY_DECL_NON_LSP_VARIABLES
#endif


/* If nonreentrant, generate the variables here. */

#if !YYPURE
YY_DECL_VARIABLES
#endif  /* !YYPURE */

int
yyparse (YYPARSE_PARAM_ARG)
     YYPARSE_PARAM_DECL
{
  /* If reentrant, generate the variables here. */
#if YYPURE
  YY_DECL_VARIABLES
#endif  /* !YYPURE */

  register int yystate;
  register int yyn;
  int yyresult;
  /* Number of tokens to shift before error messages enabled.  */
  int yyerrstatus;
  /* Lookahead token as an internal (translated) token number.  */
  int yychar1 = 0;

  /* Three stacks and their tools:
     `yyss': related to states,
     `yyvs': related to semantic values,
     `yyls': related to locations.

     Refer to the stacks thru separate pointers, to allow yyoverflow
     to reallocate them elsewhere.  */

  /* The state stack. */
  short	yyssa[YYINITDEPTH];
  short *yyss = yyssa;
  register short *yyssp;

  /* The semantic value stack.  */
  YYSTYPE yyvsa[YYINITDEPTH];
  YYSTYPE *yyvs = yyvsa;
  register YYSTYPE *yyvsp;

#if YYLSP_NEEDED
  /* The location stack.  */
  YYLTYPE yylsa[YYINITDEPTH];
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;
#endif

#if YYLSP_NEEDED
# define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
# define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  YYSIZE_T yystacksize = YYINITDEPTH;


  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
#if YYLSP_NEEDED
  YYLTYPE yyloc;
#endif

  /* When reducing, the number of symbols on the RHS of the reduced
     rule. */
  int yylen;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss;
  yyvsp = yyvs;
#if YYLSP_NEEDED
  yylsp = yyls;
#endif
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed. so pushing a state here evens the stacks.
     */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack. Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	short *yyss1 = yyss;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  */
# if YYLSP_NEEDED
	YYLTYPE *yyls1 = yyls;
	/* This used to be a conditional around just the two extra args,
	   but that might be undefined if yyoverflow is a macro.  */
	yyoverflow ("parser stack overflow",
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);
	yyls = yyls1;
# else
	yyoverflow ("parser stack overflow",
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yystacksize);
# endif
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyoverflowlab;
# else
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	goto yyoverflowlab;
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;

      {
	short *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyoverflowlab;
	YYSTACK_RELOCATE (yyss);
	YYSTACK_RELOCATE (yyvs);
# if YYLSP_NEEDED
	YYSTACK_RELOCATE (yyls);
# endif
# undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
#if YYLSP_NEEDED
      yylsp = yyls + yysize - 1;
#endif

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yychar1 = YYTRANSLATE (yychar);

#if YYDEBUG
     /* We have to keep this `#if YYDEBUG', since we use variables
	which are defined only if `YYDEBUG' is set.  */
      if (yydebug)
	{
	  YYFPRINTF (stderr, "Next token is %d (%s",
		     yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise
	     meaning of a token, for further debugging info.  */
# ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
# endif
	  YYFPRINTF (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */
  YYDPRINTF ((stderr, "Shifting token %d (%s), ",
	      yychar, yytname[yychar1]));

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#if YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  yystate = yyn;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to the semantic value of
     the lookahead token.  This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

#if YYLSP_NEEDED
  /* Similarly for the default location.  Let the user run additional
     commands if for instance locations are ranges.  */
  yyloc = yylsp[1-yylen];
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
#endif

#if YYDEBUG
  /* We have to keep this `#if YYDEBUG', since we use variables which
     are defined only if `YYDEBUG' is set.  */
  if (yydebug)
    {
      int yyi;

      YYFPRINTF (stderr, "Reducing via rule %d (line %d), ",
		 yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (yyi = yyprhs[yyn]; yyrhs[yyi] > 0; yyi++)
	YYFPRINTF (stderr, "%s ", yytname[yyrhs[yyi]]);
      YYFPRINTF (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif

  switch (yyn) {

case 6:
#line 125 "prosparser.Y"
{cerr << "PROS" << endl;;
    break;}
case 7:
#line 126 "prosparser.Y"
{globalSystem = (CoordSystem)yyvsp[0].integer;;
    break;}
case 9:
#line 127 "prosparser.Y"
{globalSystem = WCS; globalSky = (SkyFrame)yyvsp[0].integer;;
    break;}
case 15:
#line 136 "prosparser.Y"
{yyval.real=yyvsp[0].real;;
    break;}
case 16:
#line 137 "prosparser.Y"
{yyval.real=yyvsp[0].integer;;
    break;}
case 17:
#line 140 "prosparser.Y"
{yydebug=1;;
    break;}
case 18:
#line 141 "prosparser.Y"
{yydebug=0;;
    break;}
case 25:
#line 156 "prosparser.Y"
{yyval.real = 0;;
    break;}
case 26:
#line 157 "prosparser.Y"
{yyval.real = yyvsp[0].real;;
    break;}
case 27:
#line 160 "prosparser.Y"
{yyval.real = degToRad(yyvsp[0].real);;
    break;}
case 28:
#line 161 "prosparser.Y"
{yyval.real = degToRad(yyvsp[0].real);;
    break;}
case 29:
#line 162 "prosparser.Y"
{yyval.real=yyvsp[0].real;;
    break;}
case 30:
#line 165 "prosparser.Y"
{yyval.real = FITS->mapLenToRef(yyvsp[0].real, IMAGE);;
    break;}
case 31:
#line 166 "prosparser.Y"
{yyval.real = FITS->mapLenToRef(yyvsp[0].real, checkWCSSystem(), DEGREES);;
    break;}
case 32:
#line 167 "prosparser.Y"
{yyval.real = FITS->mapLenToRef(yyvsp[0].real, checkWCSSystem(), ARCMIN);;
    break;}
case 33:
#line 168 "prosparser.Y"
{yyval.real = FITS->mapLenToRef(yyvsp[0].real, checkWCSSystem(), ARCSEC);;
    break;}
case 34:
#line 172 "prosparser.Y"
{
	  Vector r = FITS->mapLenToRef(Vector(yyvsp[-2].real,yyvsp[0].real), IMAGE);
	  yyval.vector[0] = r[0];
	  yyval.vector[1] = r[1];
	  yyval.vector[2] = r[2];
	;
    break;}
case 35:
#line 179 "prosparser.Y"
{
	  Vector r=FITS->mapLenToRef(Vector(yyvsp[-2].real,yyvsp[0].real),checkWCSSystem(),DEGREES);
	  yyval.vector[0] = r[0];
	  yyval.vector[1] = r[1];
	  yyval.vector[2] = r[2];
	;
    break;}
case 36:
#line 186 "prosparser.Y"
{
	  Vector r=FITS->mapLenToRef(Vector(yyvsp[-2].real,yyvsp[0].real),checkWCSSystem(),ARCMIN);
	  yyval.vector[0] = r[0];
	  yyval.vector[1] = r[1];
	  yyval.vector[2] = r[2];
	;
    break;}
case 37:
#line 193 "prosparser.Y"
{
	  Vector r=FITS->mapLenToRef(Vector(yyvsp[-2].real,yyvsp[0].real),checkWCSSystem(),ARCSEC);
	  yyval.vector[0] = r[0];
	  yyval.vector[1] = r[1];
	  yyval.vector[2] = r[2];
	;
    break;}
case 38:
#line 201 "prosparser.Y"
{yyval.integer = yyvsp[0].integer;;
    break;}
case 39:
#line 204 "prosparser.Y"
{yyval.real = parseDMS(yyvsp[0].str);;
    break;}
case 40:
#line 208 "prosparser.Y"
{
	  Vector r;
	  CoordSystem sys = checkWCSSystem();
	  SkyFrame sky = checkWCSSky();
	  if (sky == GALACTIC || sky == ECLIPTIC) 
	    r = FITS->mapToRef(Vector(yyvsp[-2].real,yyvsp[0].real), sys, sky);
	  else
	    r = FITS->mapToRef(Vector(yyvsp[-2].real*360./24.,yyvsp[0].real), sys, sky);

	  yyval.vector[0] = r[0];
	  yyval.vector[1] = r[1];
	  yyval.vector[2] = r[2];
	;
    break;}
case 41:
#line 221 "prosparser.Y"
{prossign2 = prossign;;
    break;}
case 42:
#line 222 "prosparser.Y"
{
	  Vector r = FITS->mapToRef(
	    Vector(hmsToDegree(prossign2,yyvsp[-7].integer,yyvsp[-6].integer,yyvsp[-5].real), 
	    dmsToDegree(prossign,yyvsp[-2].integer,yyvsp[-1].real,yyvsp[0].real)),
	    checkWCSSystem(), checkWCSSky());
	  yyval.vector[0] = r[0];
	  yyval.vector[1] = r[1];
	  yyval.vector[2] = r[2];
	;
    break;}
case 43:
#line 231 "prosparser.Y"
{prossign2 = prossign;;
    break;}
case 44:
#line 233 "prosparser.Y"
{
	  Vector r = FITS->mapToRef(
	    Vector(dmsToDegree(prossign2,yyvsp[-7].integer,yyvsp[-6].real,yyvsp[-5].real),
	    dmsToDegree(prossign,yyvsp[-2].integer,yyvsp[-1].real,yyvsp[0].real)),
	    checkWCSSystem(), checkWCSSky());
	  yyval.vector[0] = r[0];
	  yyval.vector[1] = r[1];
	  yyval.vector[2] = r[2];
	;
    break;}
case 45:
#line 243 "prosparser.Y"
{
	  Vector r = FITS->mapToRef(Vector(yyvsp[-2].real,yyvsp[0].real), localSystem, localSky);
	  yyval.vector[0] = r[0];
	  yyval.vector[1] = r[1];
	  yyval.vector[2] = r[2];
	;
    break;}
case 46:
#line 250 "prosparser.Y"
{
	  Vector r = FITS->mapToRef(Vector(yyvsp[-2].real,yyvsp[0].real),
	    checkWCSSystem(), checkWCSSky());
	  yyval.vector[0] = r[0];
	  yyval.vector[1] = r[1];
	  yyval.vector[2] = r[2];
	;
    break;}
case 47:
#line 259 "prosparser.Y"
{yyval.integer = IMAGE;;
    break;}
case 48:
#line 260 "prosparser.Y"
{yyval.integer = PHYSICAL;;
    break;}
case 49:
#line 263 "prosparser.Y"
{yyval.integer = yyvsp[0].integer;;
    break;}
case 50:
#line 264 "prosparser.Y"
{yyval.integer = FK4;;
    break;}
case 51:
#line 265 "prosparser.Y"
{yyval.integer = FK5;;
    break;}
case 52:
#line 266 "prosparser.Y"
{yyval.integer = GALACTIC;;
    break;}
case 53:
#line 267 "prosparser.Y"
{yyval.integer = ECLIPTIC;;
    break;}
case 54:
#line 270 "prosparser.Y"
{yyval.integer = FK4;;
    break;}
case 55:
#line 271 "prosparser.Y"
{yyval.integer = FK5;;
    break;}
case 56:
#line 274 "prosparser.Y"
{
	  // global properties
	  globalSystem = IMAGE;
	  globalSky = NATIVEWCS;
	  globalProps =
	    Marker::SELECT | Marker::EDIT | Marker::MOVE |
	    Marker::ROTATE | Marker::DELETE | Marker::HIGHLITE |
	    Marker::INCLUDE | Marker::SOURCE;
	;
    break;}
case 57:
#line 285 "prosparser.Y"
{
	  // global properties
	  localSystem = globalSystem;
	  localSky = globalSky;
	  localProps = globalProps;
	  strcpy(localComment,"");
	;
    break;}
case 58:
#line 294 "prosparser.Y"
{setProps(&localProps, Marker::INCLUDE, 1);;
    break;}
case 59:
#line 295 "prosparser.Y"
{setProps(&localProps, Marker::INCLUDE, 1);;
    break;}
case 60:
#line 296 "prosparser.Y"
{setProps(&localProps, Marker::INCLUDE, 0);;
    break;}
case 61:
#line 300 "prosparser.Y"
{FR->createCircleCmd(Vector(yyvsp[-4].vector),yyvsp[-2].real,
	    color,1,font,text,localProps,localComment,taglist);;
    break;}
case 62:
#line 304 "prosparser.Y"
{
	  // for ellipse annulus
	  aStatus = 1;
	  aCenter = Vector(yyvsp[-6].vector);
	  aAngle = yyvsp[-2].real;
	  aVector[0] = Vector(yyvsp[-4].vector);
	  aNum = 1;
	  strncpy(aComment,localComment,80);
	  aProps = localProps;

	  FR->createEllipseCmd(Vector(yyvsp[-6].vector),Vector(yyvsp[-4].vector),yyvsp[-2].real,
	  color,1,font,text,localProps,localComment,taglist);
	;
    break;}
case 63:
#line 319 "prosparser.Y"
{
	  // for box annulus
	  aStatus = 3;
	  aCenter = Vector(yyvsp[-6].vector);
	  aAngle = yyvsp[-2].real;
	  aVector[0] = Vector(yyvsp[-4].vector);
	  aNum = 1;
	  strncpy(aComment,localComment,80);
	  aProps = localProps;

	  FR->createBoxCmd(Vector(yyvsp[-6].vector),Vector(yyvsp[-4].vector),yyvsp[-2].real,
	    color,1,font,text,localProps,localComment,taglist);
	;
    break;}
case 64:
#line 333 "prosparser.Y"
{FR->createBoxCmd(Vector(yyvsp[-6].vector),Vector(yyvsp[-4].vector),yyvsp[-2].real,
	    color,1,font,text,localProps,localComment,taglist);;
    break;}
case 65:
#line 336 "prosparser.Y"
{polylist.deleteAll();;
    break;}
case 66:
#line 337 "prosparser.Y"
{FR->createPolygonCmd(polylist,color,1,font,
	      text,localProps,localComment,taglist);;
    break;}
case 67:
#line 341 "prosparser.Y"
{FR->createBoxCirclePointCmd(Vector(yyvsp[-2].vector),
	    color,1,font,text,localProps,localComment,taglist);;
    break;}
case 68:
#line 345 "prosparser.Y"
{FR->createAnnulusCmd(Vector(yyvsp[-6].vector),yyvsp[-4].real,yyvsp[-2].real,1,
	    color,1,font,text,localProps,localComment,taglist);;
    break;}
case 69:
#line 347 "prosparser.Y"
{aNum=2;;
    break;}
case 70:
#line 349 "prosparser.Y"
{
	  aAnnuli[0] = yyvsp[-7].real;
	  aAnnuli[1] = yyvsp[-5].real;
	  FR->createAnnulusCmd(Vector(yyvsp[-9].vector),aAnnuli,aNum,
	  color,1,font,text,localProps,localComment,taglist);
	;
    break;}
case 71:
#line 356 "prosparser.Y"
{FR->createAnnulusCmd(Vector(yyvsp[-8].vector),yyvsp[-6].real,yyvsp[-4].real,yyvsp[-2].integer,
	    color,1,font,text,localProps,localComment,taglist);;
    break;}
case 72:
#line 361 "prosparser.Y"
{	
	  aStatus = 2;
	  aVector[aNum++] = Vector(yyvsp[-13].vector);
	;
    break;}
case 73:
#line 368 "prosparser.Y"
{	
	  aStatus = 4;
	  aVector[aNum++] = Vector(yyvsp[-13].vector);
	;
    break;}
case 76:
#line 378 "prosparser.Y"
{polylist.append(new Vertex(yyvsp[0].vector));;
    break;}
case 79:
#line 385 "prosparser.Y"
{aAnnuli[aNum++] = yyvsp[0].real;;
    break;}
case 80:
#line 389 "prosparser.Y"
{
	  switch (aStatus) {
	  case 0: // do nothing
	    break;
	  case 1: // we found just an ellipse, do nothing
	    break;
	  case 2: // ok we have an ellipse annulus
	    FR->markerDeleteLastCmd(); // delete the previous ellipse
	    FR->createEllipseAnnulusCmd(aCenter,aAngle,aNum,aVector,
	      color,1,font,text,aProps,aComment,taglist);
	    break;
	  case 3: // we found just a box, do nothing
	    break;
	  case 4: // ok, we have a box annulus
	    FR->markerDeleteLastCmd(); // delete the previous box
	    FR->createBoxAnnulusCmd(aCenter,aAngle,aNum,aVector,
	      color,1,font,text,aProps,aComment,taglist);
	    break;
	  }
	  aStatus = 0;
	;
    break;}
case 82:
#line 413 "prosparser.Y"
{DISCARD_(1);
    break;}
case 84:
#line 416 "prosparser.Y"
{DISCARD_(1);
    break;}
case 87:
#line 420 "prosparser.Y"
{DISCARD_(0);
    break;}
case 88:
#line 421 "prosparser.Y"
{strncpy(localComment,yyvsp[-1].str,80);;
    break;}
}

#line 705 "/usr/share/bison/bison.simple"


  yyvsp -= yylen;
  yyssp -= yylen;
#if YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG
  if (yydebug)
    {
      short *yyssp1 = yyss - 1;
      YYFPRINTF (stderr, "state stack now");
      while (yyssp1 != yyssp)
	YYFPRINTF (stderr, " %d", *++yyssp1);
      YYFPRINTF (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;
#if YYLSP_NEEDED
  *++yylsp = yyloc;
#endif

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  YYSIZE_T yysize = 0;
	  char *yymsg;
	  int yyx, yycount;

	  yycount = 0;
	  /* Start YYX at -YYN if negative to avoid negative indexes in
	     YYCHECK.  */
	  for (yyx = yyn < 0 ? -yyn : 0;
	       yyx < (int) (sizeof (yytname) / sizeof (char *)); yyx++)
	    if (yycheck[yyx + yyn] == yyx)
	      yysize += yystrlen (yytname[yyx]) + 15, yycount++;
	  yysize += yystrlen ("parse error, unexpected ") + 1;
	  yysize += yystrlen (yytname[YYTRANSLATE (yychar)]);
	  yymsg = (char *) YYSTACK_ALLOC (yysize);
	  if (yymsg != 0)
	    {
	      char *yyp = yystpcpy (yymsg, "parse error, unexpected ");
	      yyp = yystpcpy (yyp, yytname[YYTRANSLATE (yychar)]);

	      if (yycount < 5)
		{
		  yycount = 0;
		  for (yyx = yyn < 0 ? -yyn : 0;
		       yyx < (int) (sizeof (yytname) / sizeof (char *));
		       yyx++)
		    if (yycheck[yyx + yyn] == yyx)
		      {
			const char *yyq = ! yycount ? ", expecting " : " or ";
			yyp = yystpcpy (yyp, yyq);
			yyp = yystpcpy (yyp, yytname[yyx]);
			yycount++;
		      }
		}
	      yyerror (yymsg);
	      YYSTACK_FREE (yymsg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exhausted");
	}
      else
#endif /* defined (YYERROR_VERBOSE) */
	yyerror ("parse error");
    }
  goto yyerrlab1;


/*--------------------------------------------------.
| yyerrlab1 -- error raised explicitly by an action |
`--------------------------------------------------*/
yyerrlab1:
  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;
      YYDPRINTF ((stderr, "Discarding token %d (%s).\n",
		  yychar, yytname[yychar1]));
      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;


/*-------------------------------------------------------------------.
| yyerrdefault -- current state does not do anything special for the |
| error token.                                                       |
`-------------------------------------------------------------------*/
yyerrdefault:
#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */

  /* If its default is to accept any token, ok.  Otherwise pop it.  */
  yyn = yydefact[yystate];
  if (yyn)
    goto yydefault;
#endif


/*---------------------------------------------------------------.
| yyerrpop -- pop the current state because it cannot handle the |
| error token                                                    |
`---------------------------------------------------------------*/
yyerrpop:
  if (yyssp == yyss)
    YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#if YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG
  if (yydebug)
    {
      short *yyssp1 = yyss - 1;
      YYFPRINTF (stderr, "Error: state stack now");
      while (yyssp1 != yyssp)
	YYFPRINTF (stderr, " %d", *++yyssp1);
      YYFPRINTF (stderr, "\n");
    }
#endif

/*--------------.
| yyerrhandle.  |
`--------------*/
yyerrhandle:
  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

  YYDPRINTF ((stderr, "Shifting error token, "));

  *++yyvsp = yylval;
#if YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

/*---------------------------------------------.
| yyoverflowab -- parser overflow comes here.  |
`---------------------------------------------*/
yyoverflowlab:
  yyerror ("parser stack overflow");
  yyresult = 2;
  /* Fall through.  */

yyreturn:
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  return yyresult;
}
#line 424 "prosparser.Y"


static void setProps(unsigned short* props, unsigned short prop, int value)
{
  if (value)
    *props |= prop;
  else
    *props &= ~prop;
}

static CoordSystem checkWCSSystem()
{
  switch (localSystem) {
  case IMAGE:
  case PHYSICAL:
    return WCS;
  default:
    return localSystem;
  }
}

static SkyFrame checkWCSSky()
{
  switch (localSystem) {
  case IMAGE:
  case PHYSICAL:
    return NATIVEWCS;
  default:
   return localSky;
  }
}
